Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455211 - Review Request: php-laconica - PHP tool for microblogging
Summary: Review Request: php-laconica - PHP tool for microblogging
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 227190 454395 455039
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 03:17 UTC by Rakesh Pandit
Modified: 2008-10-24 23:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-05 09:20:10 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
removes the rest of %{docdir} mentions (deleted)
2008-09-29 21:03 UTC, Peter Lemenkov
no flags Details | Diff

Description Rakesh Pandit 2008-07-14 03:17:23 UTC
Description:
Laconica is an open source microblogging tool written in PHP. All data
is stored in a MySQL database. Laconica was created as a direct
response of a need to create an open source, distributed alternative
to Twitter. Laconica implements the OpenMicroBlogging standard.

SRPM: http://rakesh.fedorapeople.org/srpm/php-laconica-0.4.1-1.fc8.src.rpm
SPEC: http://rakesh.fedorapeople.org/spec/php-laconica.spec

This is my 8th package and I am looking for sponsor

Additional info:
This review depends upon three bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=227190
https://bugzilla.redhat.com/show_bug.cgi?id=455039
https://bugzilla.redhat.com/show_bug.cgi?id=454395

laconica development is going in leaps and the current used 
is 0.4.3. But when this bug was filed it was still to be
tested and it also used xmpphp svn checkout which is not 
released yet.

Comment 1 Rakesh Pandit 2008-07-14 03:22:15 UTC
As soon as 0.4.3 is tested and php-xmpphp next stable released I will update. 
May be few more days.

Comment 2 Rakesh Pandit 2008-08-10 08:37:49 UTC
This need an update.

I will wait till these two dependent package reviews are done:
https://bugzilla.redhat.com/show_bug.cgi?id=455039 php-oauth
https://bugzilla.redhat.com/show_bug.cgi?id=454395 php-xmpphp

Comment 3 Rakesh Pandit 2008-08-23 14:55:34 UTC
Will update shortly. This needs some more work.

Both php-oauth and php-xmpphp are APPROVED

Comment 4 Peter Lemenkov 2008-08-29 06:17:51 UTC
I'll revew it

Comment 5 Rakesh Pandit 2008-08-29 06:34:29 UTC
Thanks,

Please hold on for some time.
Thanks -- it needs an update badly -- I will post update ASAP.

Comment 7 Peter Lemenkov 2008-09-27 17:39:35 UTC
Still here. Sorry for the delay - I was at my vacation.

Comment 8 Peter Lemenkov 2008-09-27 18:49:40 UTC
Remarks:

* use cp -a for copying (to preserve timestamps)
* no need to mkdir -p $RPM_BUILD_ROOT
* I didn't understand a trick with %docdir. Why not to simply add the next line in %files section?

%doc COPYING doc/*

Other things looks sane.

Comment 9 Rakesh Pandit 2008-09-29 10:02:00 UTC
yes, I agree on all. Will update ...
Thanks

Comment 11 Peter Lemenkov 2008-09-29 21:01:59 UTC
REVIEW:

+ rpmlint is silent on every package.
+ The package is named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source

[petro@Sulaco SOURCES]$ md5sum laconica-0.5.0.tar.gz*
c427521f2df6ce6c7962e8da19d57850  laconica-0.5.0.tar.gz
c427521f2df6ce6c7962e8da19d57850  laconica-0.5.0.tar.gz.orig
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one supported architecture (ppc).
+ No additional build dependencies.
+ No shared library files.
+ The package isn't designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
+ The package consistently uses macros, as described in the macros section of Packaging Guidelines .
+ The package contains code, or permissable content.
+ No large documentation files.
+ All, the package includes as %doc, does not affect the runtime of the application. 
+ No header files.
+ No static libraries.
+ No pkgconfig(.pc) files.
+ The package does NOT contain any .la libtool archives.
+ Not a GUI app.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
+ All filenames in rpm package are valid UTF-8.

Few remarks:

* Please, remove the rest of %{docdir} stuff (see attached patch)
* Consider adding additional "Provides: laconica" for those who wants to install it by simply typing "sudo yum install laconica". That's just my personal wish and not a blocker.

And this package is

APPROVED.

Comment 12 Peter Lemenkov 2008-09-29 21:03:49 UTC
Created attachment 318001 [details]
removes the rest of %{docdir} mentions

Comment 13 Rakesh Pandit 2008-09-30 04:07:19 UTC
Thanks I will apply all your changes.

Comment 14 Huzaifa S. Sidhpurwala 2008-09-30 04:35:01 UTC
Hi Rakesh,
Can you put the cvs request in the correct format please?
It helps cvs admins.

Comment 15 Rakesh Pandit 2008-09-30 04:45:56 UTC
Aah!! :(
I forgot.
Thanks

New Package CVS Request
=======================
Package Name: php-laconica
Short Description: PHP tool for microblogging
Owners: rakesh
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes

Comment 16 Kevin Fenzi 2008-10-01 19:01:24 UTC
cvs done.

Comment 17 Peter Lemenkov 2008-10-05 06:25:46 UTC
Ping!

Comment 18 Rakesh Pandit 2008-10-05 06:58:32 UTC
I will import it now.
Thanks for reminder.

Comment 19 Fedora Update System 2008-10-05 09:17:31 UTC
php-laconica-0.5.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-laconica-0.5.0-3.fc9

Comment 20 Fedora Update System 2008-10-05 09:18:32 UTC
php-laconica-0.5.0-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/php-laconica-0.5.0-3.fc8

Comment 21 Fedora Update System 2008-10-24 23:49:44 UTC
php-laconica-0.5.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2008-10-24 23:51:43 UTC
php-laconica-0.5.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.